aboutsummaryrefslogtreecommitdiff
path: root/pst
diff options
context:
space:
mode:
authorJohn Ankarström <john@ankarstrom.se>2020-11-24 02:33:30 +0100
committerJohn Ankarström <john@ankarstrom.se>2020-11-24 02:33:30 +0100
commit09c8e5f72b34b7c13f278acb52f2dd3e530558d3 (patch)
tree14b8065161759f19e649065e18b48216b2ee6bb3 /pst
downloadxutil-09c8e5f72b34b7c13f278acb52f2dd3e530558d3.tar.gz
Add 'cpy' / 'pst', 'ep' and 'ord' utilities
Diffstat (limited to 'pst')
-rwxr-xr-xpst17
1 files changed, 17 insertions, 0 deletions
diff --git a/pst b/pst
new file mode 100755
index 0000000..dd6bd64
--- /dev/null
+++ b/pst
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+d=
+while getopts d o
+do
+ case $o in
+ d) d=1 ;;
+ ?) echo usage: $0 [-d] [suffix] 1>&2; exit 1 ;;
+ esac
+done
+shift $((OPTIND-1))
+s=$1
+
+test ! -e /tmp/cpy"$s" && { echo clipboard not present 1>&2; exit 1; }
+cat /tmp/cpy"$s"
+test ! -z "$d" && rm /tmp/cpy"$s"
+return 0